Subject: [Iotsi] Call For Papers: IoT Semantic Interoperability Workshop

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 09 Dec 2015 10:26:18 -0800

IoT Semantic Interoperability Workshop

Background

With the expansion of the Internet of Things (IoT), interoperability 
becomes more and more important. Standards-developing organizations have 
done a tremendous amount of work to standardize protocols to simplify 
implementation and to lower the cost of IoT products. As a result, new 
protocols were developed, existing protocols were combined in new ways, 
and lightweight profiles were defined.

At the application layer, interoperability is not yet mature; the work 
on data formats (in the form of data models and information models) has 
not seen the same level of consistency throughout various 
standardization groups. Examples of standardization efforts in this area 
include the work by IPSO on their Starter Pack, the Cluster Library 
developed by the Zigbee Alliance, the OMA LWM2M, or the UPnP Management 
and Control:1 specifications.

One common problem is the lack of an encoding-independent 
standardization of the information, the so-called information model. 
Another problem is the strong relationship with the underlying 
communication architecture, such as an RPC or a RESTful design. 
Furthermore, different groups develop similar concepts that only differ 
slightly, leading to interoperability problems. Finally, some groups 
favor different encodings for use with various application layer 
protocols.

This raises a number of questions:

- What is the state of the art in data and information models? What 
  should an information model look like?
- What is the role of formal languages, such as schema languages, in 
  describing information and data models?
- What is the role of metadata, which is attached to data to make it 
  self-describing?
- How can we achieve interoperability when different organizations, 
  companies and individuals develop extensions?
- What is the experience with interworking various data models developed 
  from different groups, or with data models that evolved over time?
- What functionality should online repositories for sharing schemas 
  have?
- How can existing data models be mapped against each other to offer 
  interworking?
- Is there room for harmonization, or are the use cases of different 
  groups and organizations so unique that there is no possibility for 
  cooperation?
- How can organizations better work together to increase awareness and 
  information sharing?

(A discussion about the difference between information and data models 
can be found in RFC 3444.)

Workshop Style

The workshop’s main focus will be on discussing the harmonization of 
information and data models for use with IoT deployments. In order to 
keep the group at a manageable size, prospective participants are 
required to submit a position paper as an expression of interest. We 
will invite the authors of accepted position papers to attend the 
workshop.

The workshop will be structured as a series of working sessions 
punctuated by invited speakers, who will present on-going 
standardization and research developments. The organizing committee may 
ask submitters of particularly salient papers to present their ideas and 
experiences at the workshop. We expect active participation of all 
guests.

Participation at the workshop is free of charge.

Important Dates

Position papers must be submitted by February 22nd, 2016 at the latest.

The program committee will review submitted position papers and send an 
invitation to the workshop to one of the paper authors. Invitations will 
be distributed by February 27th, 2016 at the latest.

This workshop will be a day and a half, and take place on the 17th and 
18th of March, 2016.

Position Paper Requirements

Interested parties must submit a brief document. We welcome papers that 
describe existing work, answers to the questions listed above, new 
questions, write-ups of deployment experience, lessons-learned from 
successful or failed attempts, and ideally a vision. Contributions are 
not required to be original in content.

We solicit brief write-ups of one to three pages, formatted as HTML, 
PDF, or plain text (for example as a submitted Internet Draft).  
Representatives of IoT Standards Development Organizations or Alliances, 
who have published relevant specifications, and representatives of 
vendors who have shipped commercial IoT products supporting multiple 
schemas, may minimally submit a pointer to existing documentation.

We will publish accepted position papers (as well as meeting minutes, 
slides, and a workshop report). Please send your position paper to 
[email-masked].

Venue

The planned location for the workshop is San Jose, California, US. We 
will provide the full details of the meeting venue to the invited 
workshop participants. The workshop includes coffee and tea during 
breaks.

IPR Policy

The workshop will have no expectation of IPR disclosure or licensing 
related to its submissions.

Privacy Notice

You provide your name and your email address for the registration to 
this workshop. We use this information for planning purposes (such as 
finding rooms and ordering refreshments). We will also use this 
information to contact you about the location of the meeting venue, or 
other urgent and relevant notifications. Before the meeting minutes are 
publicly distributed, you will also receive a copy for review. We will 
share your contact details with the other workshop participants.

Program Committee

This workshop is organized by the Internet Architecture Board (IAB) and 
the following persons:

- Jari Arkko, IETF Chair / Ericsson, Finland.
- Ralph Droms, IAB / Cisco, US.
- Jaime Jimenez, Ericsson, Finland.
- Michael Koster, SmartThings/Samsung, US.
- Dave Thaler, IAB / Microsoft, US.
- Hannes Tschofenig, ARM Ltd, Austria.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 10 Dec 2015 12:38:32 +0200

Good idea, please submit a position paper :-)

But I do agree that security should have been mentioned.

I would like to suggest that we add a bullet item in the list
under “Background”. For instance, before the second to
last item on harmonisation, could we add “What security
and privacy mechanisms apply to data, and are the standards
gaps in these?"

Jari

On 10 Dec 2015, at 01:47, Stephen Farrell <[email-masked]> wrote:

> 
> Hiya,
> 
> This is probably not the right place to send this query, but hey,
> I will anyway:-)
> 
> How do security and privacy issues fit within this w/s?
> 
> I'm a little surprised that the IAB is looking at a w/s on this topic
> without any mention of security and privacy, especially as these
> devices often seem to tend to be deployed in folks homes and to
> reliably call home to a vendor's or service provider's server and
> with little or no control being available to the person in whose
> home the device is operating.
> 
> I'm not expecting a definitive answer to my question that solves
> all or any of the problems but I'd have hoped that the w/s CFP
> would have recognised the problem and at least mentioned that
> these are issues that need consideration.
> 
> Thanks,
> S.
> 
> PS: An answer of the form "good idea, submit a position paper"
> is a fine part of an answer, but not IMO in itself a sufficient
> answer.
> 
> On 09/12/15 18:26, IAB Executive Administrative Manager wrote:

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 10 Dec 2015 15:17:40 +0000

Hi Jari, Hi Stephen,

I think that privacy and security are potentially handled at a different layer.

Just to give you an example:

With Bluetooth Smart the information and data models are defined as follows (in a very simplified form): Characteristics are defined attribute types that contain a single logical value. The values are either based on an existing unit or some custom type. Services then groups characteristics together and a service can contain other services.

While Bluetooth Smart allows meta-data to be associated with the data this information is typically available only in specification (or on the Bluetooth Website) rather than available to the protocol mechanism (as part of a discovery procedure).

Bluetooth Smart combines the definition of the data model with the information model, which makes it more difficult, for example, on how to map these objects to some other protocol, such as a RESTful design. We what we want to understand is how the different approaches used to model data in various SDOs differ and whether there is a chance for an alignment. You could compare this to the way we in the IETF use RADIUS Attributes and Diameter AVPs (and have written guidelines for better usage of those). Now, extend these guidelines beyond single protocols and for use across SDOs.

Including security mechanisms, such as access control and confidentiality protection, is something all technologies provide in some form (although there are certainly technical differences, often driven by the usage scenarios). I could, however, imagine that it would be useful for someone to specifically look at the way how security related information is expressed in these different information & data models.

Ciao
Hannes

-----Original Message-----
From: Iotsi [mailto:[email-masked]] On Behalf Of Jari Arkko
Sent: 10 December 2015 11:39
To: Stephen Farrell
Cc: [email-masked]; IAB IAB
Subject: Re: [Iotsi] [IAB] Call For Papers: IoT Semantic Interoperability Workshop

I would like to suggest that we add a bullet item in the list under "Background". For instance, before the second to last item on harmonisation, could we add "What security and privacy mechanisms apply to data, and are the standards gaps in these?"

Jari

On 10 Dec 2015, at 01:47, Stephen Farrell <[email-masked]> wrote:

>
> Hiya,
>
> This is probably not the right place to send this query, but hey, I
> will anyway:-)
>
> reliably call home to a vendor's or service provider's server and with
> little or no control being available to the person in whose home the
> device is operating.
>
> I'm not expecting a definitive answer to my question that solves all
> or any of the problems but I'd have hoped that the w/s CFP would have
> recognised the problem and at least mentioned that these are issues
> that need consideration.
>
> Thanks,
> S.
>
>> becomes more and more important. Standards-developing organizations
>> have done a tremendous amount of work to standardize protocols to
>> simplify implementation and to lower the cost of IoT products. As a
>> result, new protocols were developed, existing protocols were
>> combined in new ways, and lightweight profiles were defined.
>>
>> At the application layer, interoperability is not yet mature; the
>> work on data formats (in the form of data models and information
>> models) has not seen the same level of consistency throughout various
>> standardization groups. Examples of standardization efforts in this
>> area include the work by IPSO on their Starter Pack, the Cluster
>> Library developed by the Zigbee Alliance, the OMA LWM2M, or the UPnP
>> Management and Control:1 specifications.
>>
>> Furthermore, different groups develop similar concepts that only
>> differ slightly, leading to interoperability problems. Finally, some
>> groups favor different encodings for use with various application
>> layer protocols.
>>
>> - What is the experience with interworking various data models
>> developed  from different groups, or with data models that evolved over time?
>> - How can organizations better work together to increase awareness
>> and  information sharing?
>>
>> (A discussion about the difference between information and data
>> models can be found in RFC 3444.)
>>
>> Workshop Style
>>
>> The workshop's main focus will be on discussing the harmonization of
>> standardization and research developments. The organizing committee
>> may ask submitters of particularly salient papers to present their
>> ideas and experiences at the workshop. We expect active participation
>> of all guests.
>>
>> The program committee will review submitted position papers and send
>> an invitation to the workshop to one of the paper authors.
>> Invitations will be distributed by February 27th, 2016 at the latest.
>>
>> This workshop will be a day and a half, and take place on the 17th
>> and 18th of March, 2016.
>>
>> Interested parties must submit a brief document. We welcome papers
>> that describe existing work, answers to the questions listed above,
>> new questions, write-ups of deployment experience, lessons-learned
>> from successful or failed attempts, and ideally a vision.
>> Contributions are not required to be original in content.
>>
>> Representatives of IoT Standards Development Organizations or
>> Alliances, who have published relevant specifications, and
>> representatives of vendors who have shipped commercial IoT products
>> supporting multiple schemas, may minimally submit a pointer to existing documentation.
>>
>> information to contact you about the location of the meeting venue,
>> or other urgent and relevant notifications. Before the meeting
>> minutes are publicly distributed, you will also receive a copy for
>> review. We will share your contact details with the other workshop participants.
>>
>> Program Committee
>>
>> This workshop is organized by the Internet Architecture Board (IAB)
>> and the following persons:
>>

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 10 Dec 2015 15:26:05 +0000

Hi Stephen,

~snip~
> I do agree with most of the above but am concerned that if the information models never consider that the user and not the service provider/vendor is the one who selects the cloudly server to which data is sent, then we'll end up with models that only support the prevalent privacy unfriendly model.

A fair concern and it would be great if you could submit a position paper since I doubt that many others will think about these issues.

I also do not have a problem to add another item to our question list that relates to security & privacy related information.

Ciao
Hannes

---

From: Dave Thaler <[email-masked]>
Date: Thu, 10 Dec 2015 15:54:11 +0000

Sounds good to me.

-----Original Message-----
From: IAB [mailto:[email-masked]] On Behalf Of Jari Arkko
Sent: Thursday, December 10, 2015 2:39 AM
To: Stephen Farrell <[email-masked]>
Cc: [email-masked]; IAB IAB <[email-masked]>
Subject: Re: [IAB] Call For Papers: IoT Semantic Interoperability Workshop

Jari

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 9 Dec 2015 23:47:17 +0000

Hiya,

Thanks,
S.

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 10 Dec 2015 15:20:16 +0000

Hiya,

On 10/12/15 15:17, Hannes Tschofenig wrote:
> With Bluetooth Smart the information and data models are defined as
> follows (in a very simplified form): Characteristics are defined
> attribute types that contain a single logical value. The values are
> either based on an existing unit or some custom type. Services then
> groups characteristics together and a service can contain other
> services.
> 
> While Bluetooth Smart allows meta-data to be associated with the data
> this information is typically available only in specification (or on
> the Bluetooth Website) rather than available to the protocol
> mechanism (as part of a discovery procedure).
> 
> Bluetooth Smart combines the definition of the data model with the
> information model, which makes it more difficult, for example, on how
> to map these objects to some other protocol, such as a RESTful
> design. We what we want to understand is how the different approaches
> used to model data in various SDOs differ and whether there is a
> chance for an alignment. You could compare this to the way we in the
> IETF use RADIUS Attributes and Diameter AVPs (and have written
> guidelines for better usage of those). Now, extend these guidelines
> beyond single protocols and for use across SDOs.
> 
> Including security mechanisms, such as access control and
> confidentiality protection, is something all technologies provide in
> some form (although there are certainly technical differences, often
> driven by the usage scenarios). I could, however, imagine that it
> would be useful for someone to specifically look at the way how
> security related information is expressed in these different
> information & data models.

I do agree with most of the above but am concerned that if the
information models never consider that the user and not the
service provider/vendor is the one who selects the cloudly
server to which data is sent, then we'll end up with models
that only support the prevalent privacy unfriendly model.

S.

> 
> Ciao Hannes
> 
> 
> -----Original Message----- From: Iotsi [mailto:[email-masked]]
> On Behalf Of Jari Arkko Sent: 10 December 2015 11:39 To: Stephen
> Farrell Cc: [email-masked]; IAB IAB Subject: Re: [Iotsi] [IAB] Call
> For Papers: IoT Semantic Interoperability Workshop
> 
> I would like to suggest that we add a bullet item in the list under
> "Background". For instance, before the second to last item on
> harmonisation, could we add "What security and privacy mechanisms
> apply to data, and are the standards gaps in these?"
> 
> Jari
> 
>> I'm a little surprised that the IAB is looking at a w/s on this
>> topic without any mention of security and privacy, especially as
>> these devices often seem to tend to be deployed in folks homes and
>> to reliably call home to a vendor's or service provider's server
>> and with little or no control being available to the person in
>> whose home the device is operating.
>> 
>> would have recognised the problem and at least mentioned that these
>> are issues that need consideration.
>> 
>> Thanks, S.
>> 
>> PS: An answer of the form "good idea, submit a position paper" is a
>> fine part of an answer, but not IMO in itself a sufficient answer.
>> 
>>> With the expansion of the Internet of Things (IoT),
>>> interoperability becomes more and more important.
>>> Standards-developing organizations have done a tremendous amount
>>> of work to standardize protocols to simplify implementation and
>>> to lower the cost of IoT products. As a result, new protocols
>>> were developed, existing protocols were combined in new ways, and
>>> lightweight profiles were defined.
>>> 
>>> At the application layer, interoperability is not yet mature;
>>> the work on data formats (in the form of data models and
>>> information models) has not seen the same level of consistency
>>> throughout various standardization groups. Examples of
>>> standardization efforts in this area include the work by IPSO on
>>> their Starter Pack, the Cluster Library developed by the Zigbee
>>> Alliance, the OMA LWM2M, or the UPnP Management and Control:1
>>> specifications.
>>> 
>>> standardization of the information, the so-called information
>>> model. Another problem is the strong relationship with the
>>> underlying communication architecture, such as an RPC or a
>>> RESTful design. Furthermore, different groups develop similar
>>> concepts that only differ slightly, leading to interoperability
>>> problems. Finally, some groups favor different encodings for use
>>> with various application layer protocols.
>>> 
>>> - What is the state of the art in data and information models?
>>> What should an information model look like? - What is the role of
>>> formal languages, such as schema languages, in describing
>>> information and data models? - What is the role of metadata,
>>> which is attached to data to make it self-describing? - How can
>>> we achieve interoperability when different organizations, 
>>> companies and individuals develop extensions? - What is the
>>> experience with interworking various data models developed  from
>>> different groups, or with data models that evolved over time? -
>>> What functionality should online repositories for sharing
>>> schemas have? - How can existing data models be mapped against
>>> each other to offer interworking? - Is there room for
>>> harmonization, or are the use cases of different groups and
>>> organizations so unique that there is no possibility for 
>>> cooperation? - How can organizations better work together to
>>> increase awareness and  information sharing?
>>> 
>>> The workshop's main focus will be on discussing the harmonization
>>> of information and data models for use with IoT deployments. In
>>> order to keep the group at a manageable size, prospective
>>> participants are required to submit a position paper as an
>>> expression of interest. We will invite the authors of accepted
>>> position papers to attend the workshop.
>>> 
>>> standardization and research developments. The organizing
>>> committee may ask submitters of particularly salient papers to
>>> present their ideas and experiences at the workshop. We expect
>>> active participation of all guests.
>>> 
>>> The program committee will review submitted position papers and
>>> send an invitation to the workshop to one of the paper authors. 
>>> This workshop will be a day and a half, and take place on the
>>> 17th and 18th of March, 2016.
>>> 
>>> Interested parties must submit a brief document. We welcome
>>> papers that describe existing work, answers to the questions
>>> listed above, new questions, write-ups of deployment experience,
>>> lessons-learned from successful or failed attempts, and ideally a
>>> vision. Contributions are not required to be original in
>>> content.
>>> 
>>> We solicit brief write-ups of one to three pages, formatted as
>>> HTML, PDF, or plain text (for example as a submitted Internet
>>> Draft). Representatives of IoT Standards Development
>>> Organizations or Alliances, who have published relevant
>>> specifications, and representatives of vendors who have shipped
>>> commercial IoT products supporting multiple schemas, may
>>> minimally submit a pointer to existing documentation.
>>> 
>>> We will publish accepted position papers (as well as meeting
>>> minutes, slides, and a workshop report). Please send your
>>> position paper to [email-masked].
>>> 
>>> Venue
>>> 
>>> The planned location for the workshop is San Jose, California,
>>> US. We will provide the full details of the meeting venue to the
>>> invited workshop participants. The workshop includes coffee and
>>> tea during breaks.
>>> 
>>> IPR Policy
>>> 
>>> The workshop will have no expectation of IPR disclosure or
>>> licensing related to its submissions.
>>> 
>>> Privacy Notice
>>> 
>>> You provide your name and your email address for the registration
>>> to this workshop. We use this information for planning purposes
>>> (such as finding rooms and ordering refreshments). We will also
>>> use this information to contact you about the location of the
>>> meeting venue, or other urgent and relevant notifications. Before
>>> the meeting minutes are publicly distributed, you will also
>>> receive a copy for review. We will share your contact details
>>> with the other workshop participants.
>>> 
>>> Program Committee
>>> 
>>> This workshop is organized by the Internet Architecture Board
>>> (IAB) and the following persons:
>>> 
>>> - Jari Arkko, IETF Chair / Ericsson, Finland. - Ralph Droms, IAB
>>> / Cisco, US. - Jaime Jimenez, Ericsson, Finland. - Michael
>>> Koster, SmartThings/Samsung, US. - Dave Thaler, IAB / Microsoft,
>>> US. - Hannes Tschofenig, ARM Ltd, Austria.
>>> 
>>> 
>> 
> 
> IMPORTANT NOTICE: The contents of this email and any attachments are
> confidential and may also be privileged. If you are not the intended
> recipient, please notify the sender immediately and do not disclose
> the contents to any other person, use it for any purpose, or store or
> copy the information in any medium. Thank you.
>